%%
%% This is file `lstlang0.sty'
%%

%% MPI-1 "language" for `listings' (D.G. - November 1999)
\lst@definelanguage{MPI-1}%
  {morekeywords={%
     MPI_ADDRESS,MPI_ALLGATHER,MPI_ALLGATHERV,MPI_ALLREDUCE,%
     MPI_ALLTOALL,MPI_ALLTOALLV,MPI_BARRIER,MPI_BCAST,MPI_CART_COORDS,%
     MPI_CART_CREATE,MPI_CART_RANK,MPI_CART_SHIFT,MPI_CART_SUB,%
     MPI_COMM_COMPARE,MPI_COMM_CREATE,MPI_COMM_DUP,MPI_COMM_FREE,%
     MPI_COMM_GROUP,MPI_COMM_RANK,MPI_COMM_SIZE,MPI_COMM_SPLIT,%
     MPI_DIMS_CREATE,MPI_DOUBLE_PRECISION,%
     MPI_FINALIZE,MPI_GATHER,MPI_GATHERV,%
     MPI_GRAPH_CREATE,MPI_GRAPH_NEIGHBORS,MPI_GRAPH_NEIGHBORS_COUNT,%
     MPI_GROUP_COMPARE,MPI_GROUP_DIFFERENCE,%
     MPI_GROUP_EXCL,MPI_GROUP_FREE,MPI_GROUP_INCL,%
     MPI_GROUP_INTERSECTION,MPI_GROUP_RANK,MPI_GROUP_SIZE,%
     MPI_GROUP_TRANSLATE_RANKS,MPI_GROUP_UNION,MPI_INIT,%
     MPI_INTERCOMM_CREATE,MPI_IRECV,MPI_ISSEND,MPI_IxSEND,%
     MPI_OP_CREATE,MPI_OP_FREE,MPI_PACK,MPI_PROBE,%
     MPI_RECV,MPI_RECV_INIT,MPI_REDUCE,MPI_REQUEST_FREE,%
     MPI_SCAN,MPI_SCATTER,MPI_SCATTERV,MPI_SEND,MPI_SENDRECV,%
     MPI_SENDRECV_REPLACE,MPI_SSEND,MPI_SSEND_INIT,MPI_START,MPI_TEST,%
     MPI_TYPE_COMMIT,MPI_TYPE_CONTIGUOUS,MPI_TYPE_EXTENT,%
     MPI_TYPE_FREE,MPI_TYPE_HINDEXED,MPI_TYPE_HVECTOR,%
     MPI_TYPE_INDEXED,MPI_TYPE_LB,MPI_TYPE_SIZE,MPI_TYPE_STRUCT,%
     MPI_TYPE_UB,MPI_TYPE_VECTOR,MPI_UNPACK,MPI_WAIT,MPI_WTIME},%
   emph=[1]{%
     mpif.h,MPI_ANY_SOURCE,MPI_ANY_TAG,MPI_CHARACTER,MPI_COMM_WORLD,%
     MPI_COMPLEX,MPI_DOUBLE_PRECISION,MPI_GROUP_EMPTY,MPI_INTEGER,MPI_LB,%
     MPI_LOGICAL,MPI_MAX,MPI_PACKED,MPI_PROC_NULL,MPI_PROD,MPI_REAL,MPI_REAL8,%
     MPI_STATUS_SIZE,MPI_SUM,MPI_UB,MPI_UNDEFINED},%
   morecomment=[l]!,%
   morestring=[d]"%
  }[keywords,comments,strings]%

%% MPI-2 "language" for `listings' (D.G. - July 1999)
\lst@definelanguage{MPI-2}%
  {morekeywords={%
     MPI_ABORT,MPI_ACCUMULATE,MPI_ALLTOALLW,%
     MPI_BARRIER,MPI_BCAST,%
     MPI_CLOSE_PORT,MPI_COMM_ACCEPT,MPI_COMM_CONNECT,MPI_COMM_CREATE_KEYVAL,%
     MPI_COMM_DISCONNECT,MPI_COMM_FREE,MPI_COMM_GET_ATTR,MPI_COMM_GET_PARENT,%
     MPI_COMM_RANK,MPI_COMM_SET_ATTR,MPI_COMM_SIZE,%
     MPI_COMM_SPAWN,MPI_COMM_SPAWN_MULTIPLE,%
     MPI_EXSCAN,%
     MPI_FILE_CLOSE,MPI_FILE_GET_INFO,%
     MPI_FILE_GET_POSITION,MPI_FILE_GET_POSITION_SHARED,MPI_FILE_GET_VIEW,%
     MPI_FILE_IREAD,MPI_FILE_IREAD_AT,MPI_FILE_IREAD_SHARED,%
     MPI_FILE_IWRITE,MPI_FILE_IWRITE_AT,MPI_FILE_IWRITE_SHARED,%
     MPI_FILE_OPEN,MPI_FILE_READ,MPI_FILE_READ_ALL,%
     MPI_FILE_READ_ALL_BEGIN,MPI_FILE_READ_ALL_END,MPI_FILE_READ_AT,%
     MPI_FILE_READ_AT_ALL,MPI_FILE_READ_AT_ALL_BEGIN,%
     MPI_FILE_READ_AT_ALL_END,MPI_FILE_READ_ORDERED,%
     MPI_FILE_READ_ORDERED_BEGIN,MPI_FILE_READ_ORDERED_END,%
     MPI_FILE_READ_SHARED,MPI_FILE_SEEK,MPI_FILE_SEEK_SHARED,%
     MPI_FILE_SET_INFO,MPI_FILE_SET_VIEW,MPI_FILE_WRITE,%
     MPI_FILE_WRITE_ALL,MPI_FILE_WRITE_ALL_BEGIN,%
     MPI_FILE_WRITE_ALL_END,MPI_FILE_WRITE_AT,MPI_FILE_WRITE_AT_ALL,%
     MPI_FILE_WRITE_AT_ALL_BEGIN,MPI_FILE_WRITE_AT_ALL_END,%
     MPI_FILE_WRITE_ORDERED,MPI_FILE_WRITE_ORDERED_BEGIN,%
     MPI_FILE_WRITE_ORDERED_END,MPI_FILE_WRITE_SHARED,MPI_FINALIZE,%
     MPI_GET,MPI_GET_ADDRESS,%
     MPI_INFO_CREATE,MPI_INFO_FREE,MPI_INFO_GET,MPI_INFO_GET_VALUELEN,%
     MPI_INFO_SET,MPI_INIT,MPI_INTERCOMM_MERGE,MPI_IRECV,MPI_ISEND,%
     MPI_LOOKUP_NAME,MPI_OPEN_PORT,MPI_PORT_CLOSE,%
     MPI_PUBLISH_NAME,MPI_PUT,MPI_RECV,MPI_SEEK,MPI_SEEK_ALL,%
     MPI_SEND,MPI_SENDRECV_REPLACE,MPI_TEST,MPI_TYPE_COMMIT,%
     MPI_TYPE_CREATE_DARRAY,MPI_TYPE_CREATE_F90_COMPLEX,%
     MPI_TYPE_CREATE_F90_INTEGER,MPI_TYPE_CREATE_F90_REAL,%
     MPI_TYPE_CREATE_HINDEXED,MPI_TYPE_CREATE_HVECTOR,%
     MPI_TYPE_CREATE_RESIZED,MPI_TYPE_CREATE_STRUCT,%
     MPI_TYPE_CREATE_SUBARRAY,MPI_TYPE_FREE,MPI_TYPE_GET_EXTENT,%
     MPI_TYPE_GET_TRUE_EXTENT,MPI_TYPE_INDEXED,MPI_TYPE_SIZE,%
     MPI_UNPUBLISH_NAME,MPI_WAIT,%
     MPI_WIN_CREATE,MPI_WIN_FENCE,MPI_WIN_FREE,MPI_WIN_GET_ATTR,%
     MPI_WIN_GET_GROUP,MPI_WIN_LOCK,MPI_WIN_UNLOCK},%
   emph=[1]{mpif.h},
   emph=[2]{%
     MPI_ADDRESS_KIND,MPI_ARGV_NULL,MPI_ARGVS_NULL,MPI_BYTE,%
     MPI_CHARACTER,MPI_COMM_NULL,MPI_COMM_SELF,MPI_COMM_WORLD,%
     MPI_DISTRIBUTE_BLOCK,MPI_DISTRIBUTE_CYCLIC,MPI_DISTRIBUTE_NONE,%
     MPI_DOUBLE_PRECISION,%
     MPI_ERRCODES_IGNORE,MPI_INFO_NULL,MPI_INTEGER,MPI_LB,%
     MPI_LOCK_SHARED,MPI_LOGICAL,MPI_MAX_PORT_NAME,%
     MPI_MODE_CREATE,MPI_MODE_RDONLY,MPI_MODE_RDWR,%
     MPI_MODE_SEQUENTIAL,MPI_MODE_WRONLY,%
     MPI_OFFSET_KIND,MPI_ORDER_C,MPI_ORDER_FORTRAN,%
     MPI_REAL,MPI_SEEK_CUR,MPI_SEEK_END,MPI_SEEK_SET,MPI_SUM,%
     MPI_STATUS_SIZE,MPI_UB,MPI_UNDEFINED,MPI_UNIVERSE_SIZE,%
     MPI_WIN_BASE,MPI_WIN_DISP_UNIT,MPI_WIN_SIZE},%
   morecomment=[l]!,%
   morestring=[d]"%
  }[keywords,comments,strings]%

\endinput
%%
%% End of file `lstlang0.sty'.
